- [HTTP request](https://docs.cloud.google.com/functions/docs/reference/rest/v2beta/projects.locations.functions/commitFunctionUpgradeAsGen2#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/functions/docs/reference/rest/v2beta/projects.locations.functions/commitFunctionUpgradeAsGen2#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/functions/docs/reference/rest/v2beta/projects.locations.functions/commitFunctionUpgradeAsGen2#body.request_body)
- [Response body](https://docs.cloud.google.com/functions/docs/reference/rest/v2beta/projects.locations.functions/commitFunctionUpgradeAsGen2#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/functions/docs/reference/rest/v2beta/projects.locations.functions/commitFunctionUpgradeAsGen2#body.aspect)
- [Try it!](https://docs.cloud.google.com/functions/docs/reference/rest/v2beta/projects.locations.functions/commitFunctionUpgradeAsGen2#try-it)

Commits a function upgrade from GCF Gen1 to GCF Gen2. This action deletes the Gen1 function, leaving the Gen2 function active and manageable by the GCFv2 API.

### HTTP request

`POST https://cloudfunctions.googleapis.com/v2beta/{name}:commitFunctionUpgradeAsGen2`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the function for which upgrade should be committed to Gen2. It takes the form `projects/{project}/locations/{location}/functions/{function}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `cloudfunctions.functions.generationUpgrade` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/functions/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).